<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
  $id_cd=$sesion->id;
  $ok=0;
$qp3 = "select cantidad, fechac, horac from cortecaja where id_cd=$id_cd order by fechac DESC";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$cajaini = $rp3->cantidad;
	$fechai = $rp3->fechac;
    $horai = $rp3->horac;
	 $observaciones = $rp3->observaciones;
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	
if($fechai==$hoy){
	echo"<br><br><br><center><font size=\"+1\"  color=\"#990000\"><b>EL corte del d&iacute;a ya fue realizado<br>
	No es posible realizar movimientos</b></font><br><br>
	<form name=\"Agrega\" action=\"cortecaja2.php\" method=\"post\"><input type=hidden name=total value=$cajaini />
	<input type=hidden name=ver value=1 />
<input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Ver Reporte\" /></form>";
	
	}else{	
echo "<html>
<head>
<script language='JavaScript1.2' type='text/javascript'>

function CadenaVacia(cadena) {
if (cadena.length==0){
	return true;
	}
else {
	return false;
	}
}

function CadenaVaciaBlancos(cadena) {
var salida='';
for (var i=0;i<cadena.length;i++) {
	if (cadena.substring(i,i+1)!=' ')
		salida=salida+cadena.substring(i,i+1);
	}
if (salida.length==0){
	return true;
	}
else {
	return false;
	}
}

function valida(e)
{
	if (CadenaVaciaBlancos(e.rfcpr.value)){
 	alert('Escribe el RFC por favor');
 	e.rfcpr.select();
 	return false;
	}
	
	if (e.rfcpr.value.length < 10)
	{
	 alert('Revisa el RFC por favor, debe contener 10 caracteres');
 	 e.rfcpr.select();
 	 return false;	
	}
}
</script>
</head>
 <body bgcolor=\"#FFFFCC\" onload='document.f1.rfcpr.select();'>
 <br><br><br><center><img src='notavta.gif'></center><br>
  <form name='f1' action='inv_mens2.php' method='post'>	
 	<table border='0'  align='center' style='background: url(usuario_comun/logotransp2.gif)'>


	
	<tr height='40'>
	<td align='center'><label style='color:#5C3C12'>RFC Distribuidor:</label>&nbsp;<input type='text' size='14' maxlength='10' name='rfcpr' value='' style='font-family: Times New Roman;text-transform:uppercase;'></td>
	</tr><tr height='30'>
	<tr><td align='center' valign='middle'><input type='submit' value='Buscar' onclick='return valida(this.form)'></tr>
	
	</table>
  </form>
  
  
 </body>
</html>";}
//}

//else
//echo "PAGINA NO VALIDA";
?>